EasyFormView (base API)
Date: 2019-04-05

com.twosigma.beakerx.easyform

## Class EasyFormView

- java.lang.Object
- - com.twosigma.beakerx.widget.Widget
  - - com.twosigma.beakerx.widget.DOMWidget
    - - com.twosigma.beakerx.widget.ValueWidget<java.lang.String>
      - - com.twosigma.beakerx.widget.Box
        - - com.twosigma.beakerx.easyform.EasyFormView

- All Implemented Interfaces:
    com.twosigma.beakerx.widget.CommFunctionality, com.twosigma.beakerx.widget.DisplayableWidget, com.twosigma.beakerx.widget.WidgetItem

      public class EasyFormView
      extends com.twosigma.beakerx.widget.Box

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.twosigma.beakerx.widget.ValueWidget

      `com.twosigma.beakerx.widget.ValueWidget.ActionOnUpdate<T>`

    - ### Nested classes/interfaces inherited from class com.twosigma.beakerx.widget.DOMWidget

      `com.twosigma.beakerx.widget.DOMWidget.ValueChangeMsgCallbackHandler`

    - ### Nested classes/interfaces inherited from class com.twosigma.beakerx.widget.Widget

      `com.twosigma.beakerx.widget.Widget.ActionPerformed, com.twosigma.beakerx.widget.Widget.WidgetDisplayMethodStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `EASY_FORM_NAME`
    `static java.lang.String` | `MODEL_NAME_VALUE`
    `static java.lang.String` | `VIEW_NAME_VALUE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.Box

      `CHILDREN, IPY_MODEL`

    - ### Fields inherited from class com.twosigma.beakerx.widget.ValueWidget

      `description, disabled, msg_throttle, value, visible`

    - ### Fields inherited from class com.twosigma.beakerx.widget.DOMWidget

      `DATA, DOM_CLASSES, MODEL_MODULE_VALUE, style, SYNC_DATA, VIEW_MODULE_VALUE`

    - ### Fields inherited from class com.twosigma.beakerx.widget.Widget

      `APPLICATION_VND_JUPYTER_WIDGET_VIEW_JSON, DESCRIPTION, DISABLED, DISPLAY, INDEX, METHOD, MODEL_ID, MODEL_MODULE, MODEL_MODULE_VERSION, MODEL_MODULE_VERSION_VALUE, MODEL_NAME, MSG_THROTTLE, VALUE, VIEW_MODULE, VIEW_MODULE_VERSION, VIEW_MODULE_VERSION_VALUE, VIEW_NAME, VISIBLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EasyFormView(java.util.List<com.twosigma.beakerx.widget.Widget> children)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEasyFormName()`
    `java.lang.String` | `getModelModuleValue()`
    `java.lang.String` | `getModelNameValue()`
    `java.lang.String` | `getViewModuleValue()`
    `java.lang.String` | `getViewNameValue()`
    `void` | `setEasyFormName(java.lang.String easyFormName)`
    `void` | `updateValue(java.lang.Object value)`

    - ### Methods inherited from class com.twosigma.beakerx.widget.Box

      `activateWidgetInContainer, add, add, add, add, content, display, getChildren, getValueFromObject, remove, removeAllChildren`

    - ### Methods inherited from class com.twosigma.beakerx.widget.ValueWidget

      `decorateValue, getArrayOfDouble, getArrayOfInteger, getBoolean, getDescription, getDisabled, getDouble, getInteger, getIntegerArray, getMsg_throttle, getString, getStringArray, getValue, getVisible, printValue, registerActionOnUpdate, setDescription, setDisabled, setMsg_throttle, setValue, setVisible, updateValueFromObject`

    - ### Methods inherited from class com.twosigma.beakerx.widget.DOMWidget

      `addValueChangeMsgCallback, doUpdateValueWithCallback, getDomClasses, getLayout, getStyle, register, setDomClasses`

    - ### Methods inherited from class com.twosigma.beakerx.widget.Widget

      `asWidget, beforeDisplay, close, getComm, getModelModuleVersion, getViewModuleVersion, handleCommEventSync, openComm, openComm, sendDisplay, sendUpdate, sendUpdate, sendUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VIEW_NAME_VALUE

          public static final java.lang.String VIEW_NAME_VALUE

      See Also:
        Constant Field Values

    - #### MODEL_NAME_VALUE

          public static final java.lang.String MODEL_NAME_VALUE

      See Also:
        Constant Field Values

    - #### EASY_FORM_NAME

          public static final java.lang.String EASY_FORM_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EasyFormView

          public EasyFormView(java.util.List<com.twosigma.beakerx.widget.Widget> children)

  - ### Method Detail

    - #### getModelModuleValue

          public java.lang.String getModelModuleValue()

      Overrides:
        `getModelModuleValue` in class `com.twosigma.beakerx.widget.DOMWidget`

    - #### getViewModuleValue

          public java.lang.String getViewModuleValue()

      Overrides:
        `getViewModuleValue` in class `com.twosigma.beakerx.widget.DOMWidget`

    - #### getModelNameValue

          public java.lang.String getModelNameValue()

      Overrides:
        `getModelNameValue` in class `com.twosigma.beakerx.widget.Box`

    - #### getViewNameValue

          public java.lang.String getViewNameValue()

      Overrides:
        `getViewNameValue` in class `com.twosigma.beakerx.widget.Box`

    - #### updateValue

          public void updateValue(java.lang.Object value)

      Overrides:
        `updateValue` in class `com.twosigma.beakerx.widget.ValueWidget<java.lang.String>`

    - #### getEasyFormName

          public java.lang.String getEasyFormName()

    - #### setEasyFormName

          public void setEasyFormName(java.lang.String easyFormName)